{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-image-updater-repo-access
  namespace: argocd
spec:
  description: Allow argoCD image updater to access github container registry
  egress:
    - toFQDNs:
        - matchName: ghcr.io
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: argocd-image-updater
{{- end }}
